#!/bin/csh

# delete v4.5
set dnetdir=/home/groups/home/web/dnet
set imgdir=/home/groups/home/web/
set v42dir=$dnetdir/v42

set module=(dnet.cgi xaddropt xalarm xcabinet.cgi xdoc.cgi xdocreminder xenquete.cgi xforum.cgi xinfo.cgi xlogaccess xlogdisksize xmail.cgi xmailintg xmailsearch xmemp.cgi xpay.cgi xproject.cgi xrefer.cgi xreminder xreport.cgi xscheduler xsearch.cgi xstock.cgi xtag.cgi xwmlrecv)
set page=( xaddrentry.html xaddrentrydetail.html xaddrlist.html xaddrlistsearch.html xaddrrefer.html xaddrreferdetail.html xaddrsubwindow.html xcomattachselect.html xcomformatgrouplist.html xcomformatlist.html xcomsetattachselect.html xcomsetformatlist.html xcomtabwinjump.html xdocentry.html xdocfolderaccess.html xdocfolderentry.html xdocrefer.html xdocsetautoloaderr.html xdocsetautoloadfolderentry.html xdocsetautoloadfolderlist.html xdocsetautoloadstatus.html xdocsetfolderaccess.html xdocsetfolderentry.html xflowref.html xflowrouteentry.html xflowroutepool.html xflowrouteuser.html xflowsetrouteentry.html xflowsetroutepool.html xformentry.html xformexport.html xformgroupexport.html xformgroupimport.html xformimport.html xformpshelpimportattach.html xformpshelpimportautocal.html xformpshelpimportautocalsum.html xformpshelpimportcheckbox.html xformpshelpimportdate.html xformpshelpimportinput.html xformpshelpimportnumber.html xformpshelpimportradio.html xformpshelpimportselect.html xformpshelpimportstr.html xformpshelpimportstrs.html xformpshelpimporttextarea.html xformpsimportsmp1.html xformpsimportsmp2.html xformpsimportsmp3.html xformpsimportsmp4.html xformsetentry.html xformsetexport.html xformsetimport.html xforumgenprivate.html xforumsetadmin.html xforumsetgen.html xinfoentry.html xinfogenprivate.html xinforef.html xinfosetadmin.html xinfosetgen.html xmailaccount.html xmaildelconfirm.html xmailgenprivate.html xmailintg.html xmaillist.html xmailmsgrefresh.html xmailpsetautorecv.html xmailsend.html xmailsendconfirm.html xmailsendspeditor.html xmailsetaccimp.html xmailsetaccount.html xmailsetadmin.html xmailsetgen.html xmailsetmsgrefresh.html xmailsetserver.html xmailsubwindow.html xmailtrouble.html xmailtroubleappend.html xmailtroublelist.html xpasswdmod.html xplantfree.html xplantfreedetail.html xplantfreedetailuser.html xplantfreeuser.html xplantpsetschexport.html xplantpsetschimport.html xplantsubwindow.html xpsetdispinfogroup.html xpsetgroup.html xpsetgroupentry.html xpsetuserentry.html xschfree.html xschfreedetail.html xschfreedetailuser.html xschlist.html xschmonth.html xschprintcal.html xschpsetimport.html xschseticonentry.html xschseticons.html xschsubwindow.html xsetadmin.html xsetdispinfogroup.html xseticon.html xsetlogin.html xsetoffice.html xsetskype.html xsetsmtp.html xsettabwindowentry.html xsetuser.html xsetuserdispitem.html xsetuserpset.html xusetuserentry.html xusetuserinfo.html xusetusersaddress.html xusetusersaddrsearch.html) 

set help=(addrindex agentgenprivate circleformatexp circleformatexpgrp circleformatexppri circleformatimp circleformatimpgrp circleformatimppri circlerefer circlerefermanage circlereferrecv circlerefersend docentry docfolderaccess docfolderentry docindex docrefer enqformatexp enqformatexpgrp enqformatexppri enqformatimp enqformatimpgrp enqformatimppri enqformentrypri enqmanageref enqrefer enqrefrecv enqrefsend flowabsence flowformatentrygrp flowformatentrypri flowformatexp flowformatexpgrp flowformatexppri flowformatimp flowformatimpgrp flowformatimppri flowreapply flowrefermanage flowreferrecv flowrefersearch flowrefersend flowrouteentry flowrouteentrygrp flowrouteentrypri flowroutepool flowroutepoolgrp flowroutepoolpri flowrouteuser flowrouteuserpool forumarticles forumartlist forumartlisttree forumarttopic forumarttree forumgenprivate forumlist forummntartentry forummntarticles forummntartlistattach forummntarttree forumsearch infoentry infogenprivate infosearch koubaiindexsearch koubaimanagesearch koubaiorderlist koubaisearch mailaccountentry mailgenprivate maillist mailpsetautorecv mailsend paydemandlist plantfdtl plantfdtlusr plantfree plantfreeuser plantpsetimport plantpsetschimport prjentry psetindex psetportal psetportalinfodisp reportformatexp reportformatexpgrp reportformatimp reportformatimpgrp reportrefer reportrefermanage reportreferrecv reportrefersend reportrefreply reportrefreturn schday schdaygrp schfreedetailuser schfreedtl schmonth schpsetimport schpsetreminder schweek schweekgrp usetuserentry)

set local=(addr cab circle com doc enq flow form info mail message plant pset report sch set topmenu uset version)

# module delete
foreach m($module)
	rm -f $dnetdir/$m
end
foreach p($page)
	rm -f $dnetdir/page/$p
end
foreach h($help)
	rm -f $dnetdir/help/$h
end
foreach l($local)
	rm -f $dnetdir/local.jp/$l
end

# data move
rm -rf $dnetdir/data/schedule/icon
rm -rf $dnetdir/file/schedule/icon
rm -rf $dnetdir/data/scheduler/module/index
rm -rf $dnetdir/data/scheduler/module/3
rm -rf $dnetdir/data/scheduler/module/4
rm -f  $dnetdir/data/toolbox/info

# image move
rm -f $imgdir/neoimage/addr/folder.gif
rm -f $imgdir/neoimage/addr/folder_open.gif
rm -f $imgdir/neoimage/addr/ic_L.gif
rm -f $imgdir/neoimage/addr/ic_T.gif
rm -f $imgdir/neoimage/addr/ic_pc.gif
rm -f $imgdir/neoimage/addr/tab_50_back.gif
rm -f $imgdir/neoimage/addr/tab_company_off.gif
rm -f $imgdir/neoimage/addr/tab_company_on.gif
rm -f $imgdir/neoimage/addr/tab_user_off.gif
rm -f $imgdir/neoimage/addr/tab_user_on.gif

rm -f $imgdir/neoimage/common/ic_skype.gif
rm -f $imgdir/neoimage/common/line_i.gif
rm -f $imgdir/neoimage/common/mini_skype_logo.gif
rm -f $imgdir/neoimage/common/s_admit.gif
rm -f $imgdir/neoimage/common/s_denial.gif
rm -f $imgdir/neoimage/common/s_mod.gif
rm -f $imgdir/neoimage/common/s_new_icon.gif
rm -f $imgdir/neoimage/common/userphoto.gif

rm -f $imgdir/neoimage/doc/bt_folder_simple_add.gif
rm -f $imgdir/neoimage/doc/bt_folder_simple_del.gif
rm -f $imgdir/neoimage/doc/bt_folder_simple_move.gif
rm -f $imgdir/neoimage/doc/bt_folder_simple_up.gif
rm -f $imgdir/neoimage/doc/folder_table_simple_1.gif
rm -f $imgdir/neoimage/doc/folder_table_simple_2.gif
rm -f $imgdir/neoimage/doc/folder_table_simple_3.gif
rm -f $imgdir/neoimage/doc/folder_table_simple_4.gif
rm -f $imgdir/neoimage/doc/folder_table_simple_5.gif
rm -f $imgdir/neoimage/doc/folder_table_simple_6.gif
rm -f $imgdir/neoimage/doc/folder_table_simple_7.gif
rm -f $imgdir/neoimage/doc/folder_table_simple_8.gif
rm -f $imgdir/neoimage/doc/folder_table_simple_9.gif
rm -f $imgdir/neoimage/doc/ic_L.gif
rm -f $imgdir/neoimage/doc/ic_T.gif
rm -f $imgdir/neoimage/doc/s_handload.gif
rm -f $imgdir/neoimage/doc/s_new_mfpfolder.gif
rm -f $imgdir/neoimage/doc/s_start.gif
rm -f $imgdir/neoimage/doc/s_stop.gif

# js move
rm -f $imgdir/neojs/addr.js
rm -f $imgdir/neojs/checkall.js
rm -f $imgdir/neojs/htmpt.js


## -- recover v4.2

tar zxvf $dnetdir/v42.tar.gz

# module move
set v42tar=home/groups/home/web/dnet/v42
cp -fr $v42tar/neoimage $imgdir/.
cp -fr $v42tar/neojs $imgdir/.
rm -rf $v42tar/neoimage
rm -rf $v42tar/neojs

cp -rf $v42tar/* $dnetdir/.

# delete v42
rm -rf $v42tar
rm -rf $dnetdir/v42.tar.gz

chown -R www:www $dnetdir

echo "post-uninstall $$ $0" >> /tmp/install.log
exit 0
